import {optimizelyUserId} from '@s-ui/segment-wrapper/lib/middlewares/source/optimizelyUserId'
import {optimizelySiteAttributeMiddleware as optimizelySiteAttribute} from '@s-ui/segment-wrapper/lib/middlewares/destination/optimizelySiteAttribute'
import loadSegmentWrapperConfig from '../src/segmentWrapper'
import {loadSegmentMiddlewares} from '../src/loadMiddlewares'

export const entryPoint = function({
  host,
  optimizelyUserIdMiddleware = optimizelyUserId,
  optimizelySiteAttributeMiddleware = optimizelySiteAttribute
} = {}) {
  loadSegmentWrapperConfig({host})

  loadSegmentMiddlewares({
    optimizelySiteAttributeMiddleware,
    optimizelyUserIdMiddleware
  })
}

if (process.env.NODE_ENV !== 'test') {
  entryPoint()
}
